Bug 167786 - owners.list not updating Bugzilla components for Fedora Extras
owners.list not updating Bugzilla components for Fedora Extras
Status: CLOSED CURRENTRELEASE
Product: Fedora Infrastructure
Classification: Retired
Component: other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
: Security
: 167870 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-07 23:54 EDT by Alex Lancaster
Modified: 2007-04-18 13:31 EDT (History)
7 users (show)

See Also:
Fixed In Version: cron-job
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-25 03:41:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2005-09-07 23:54:20 EDT
Description of problem:
Bugzilla appears to be missing the "maxima" component for Extras.  It has been
added to the Extras "owners/owners.list", so should now appear as a selectable
component:

http://cvs.fedora.redhat.com/viewcvs/owners/owners.list?root=extras&r1=1.169&r2=1.170

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Click on
https://bugzilla.redhat.com/bugzilla/describecomponents.cgi?product=Bugzilla
2. Search for "maxima"

  
Actual results:
No "maxima" component appears


Expected results:
"Maxima" component appears

Additional info:
Comment 1 David Lawrence 2005-09-08 23:55:43 EDT
Elliot, can you take a look at this?
Comment 2 Alex Lancaster 2005-09-09 02:24:47 EDT
There was an error in the URL I originally posted for the component list.  Of
course, I *meant* this:

https://bugzilla.redhat.com/bugzilla/describecomponents.cgi?product=Fedora+Extras
Comment 3 Andre Robatino 2005-09-09 08:38:36 EDT
  Please expedite this.  There is a serious bug in maxima-gui (see bug #167870)
that needs to be reported properly.
Comment 4 Alex Lancaster 2005-09-09 09:35:07 EDT
Rex, I was wondering, maybe you could try removing the maxima entry in the
owners.list file in CVS and recommiting it?  Perhaps it missed being added to
the component list, because it was being at the same time a cron job was being
run or somesuch.  Either way it shouldn't hurt.
Comment 5 Alex Lancaster 2005-09-09 09:40:10 EDT
I fear that no new components are being added, I just checked some recent CVS
commits to owners.list at:

http://cvs.fedora.redhat.com/viewcvs/owners/owners.list?root=extras

and several new components have been added since "maxima", including
"nautilus-search-tool" and "tomoe", which also don't show up the list of Extras
components.
Comment 6 Andre Robatino 2005-09-09 21:39:34 EDT
*** Bug 167870 has been marked as a duplicate of this bug. ***
Comment 7 Alex Lancaster 2005-09-09 23:35:15 EDT
Add e-mail address of person watching bug #167870, so they can follow updates.
Comment 8 Alex Lancaster 2005-09-10 04:57:41 EDT
Retitling summary, and updating severity, to reflect a wider problem beyond just
maxima.  It appears that Bugzilla components added at least as far back as
August 31 aren't in bugzilla, see nedit and cproto added here:

http://cvs.fedora.redhat.com/viewcvs/owners/owners.list?root=extras&r1=1.154&r2=1.155

These don't appear in the list of components, or in the drop-down lists when
entering a Fedora Extras bug.  Don't know how far back this problem goes.
Comment 9 Warren Togami 2005-09-10 05:58:24 EDT
Elliot is on vacation until sometime next week, I am attempting to investigate,
waiting on some info.
Comment 10 Alex Lancaster 2005-09-13 23:45:06 EDT
Still no movement on this bug?  There are some major bugs in maxima that need to
be filed, it would be good if these Bugzilla components could be created soon. 
Also, what is the difference between the Bugzilla statuses "NEEDINFO" and
"NEEDINFO_ENG"?
Comment 11 Alex Lancaster 2005-09-13 23:48:59 EDT
Change component to "Other", not really about the Account System itself.
Comment 12 Warren Togami 2005-09-14 00:33:58 EDT
Sopwith is back, reassigning.
Comment 13 Alex Lancaster 2005-09-16 02:40:37 EDT
It appears that some of these older components have now been created.  The last
added Bugzilla components are already over 35 hours old, perl-Class-DBI-Loader
is is now in the list of components and was added in this diff, over 35 hours ago:

http://cvs.fedora.redhat.com/viewcvs/owners/owners.list?root=extras&r1=1.206&r2=1.207

Is there any way the creation of Bugzilla components can be speeded up?  Over 30
hours seems like far too long a time to wait especially if security related bugs
that may need to be filed shortly after a package is built and deployed.
Comment 14 Jindrich Novy 2005-09-16 03:43:28 EDT
Confirmed that cproto and nedit bugzilla components were added.
Comment 15 Alex Lancaster 2005-09-16 03:48:15 EDT
Yep those older ones have since been added, but none have been added since
perl-Class-DBI-Loader component was added over 35 hours ago.  Is this done by a
cron job or somesuch?  Either way it should run more frequently.
Comment 16 Alex Lancaster 2005-09-16 03:52:06 EDT
(In reply to comment #15)
> Either way it should run more frequently.

For example, python-mygthy was added 31 hours ago:

http://cvs.fedora.redhat.com/viewcvs/owners/owners.list?root=extras&r1=1.207&r2=1.208

But does not yet appear in the list.
Comment 17 Alex Lancaster 2005-09-19 23:20:17 EDT
Still no updates on python-mygthy!  New components don't appear to be being
added. Please look into this ASAP,  nobody can file bugs on new packages.  I
consider this a security issue, switching severity.  Please bump up the
priority.  Thanks.
Comment 18 Alex Lancaster 2005-09-21 20:29:27 EDT
According to Elliot:

https://www.redhat.com/archives/fedora-extras-list/2005-September/msg01251.html

this was a problem with the machine running the cron job, which is now fixed. 
Have verified that the last component created was "colorscheme" 40 hours ago. 
Will leave this bug open until components added 6 hours ago (like "ks3switch")
get created, just to make sure cron job is working properly, then I will close
this bug.
Comment 19 Alex Lancaster 2005-09-22 21:33:03 EDT
This cron job doesn't seem to be working, last update was colorscheme, which was
now over 2 days ago (surely it runs more frequently than that!), none of the
following diffs:

http://cvs.fedora.redhat.com/viewcvs/owners/owners.list?root=extras&r1=1.236&r2=1.243

have yet made it into bugzilla.  Please kick this cron job and/or machine again.
Comment 20 Alex Lancaster 2005-09-25 03:41:17 EDT
Last component added to CVS was tagtool 19hrs ago and is now in the Bugzilla
interface, so assuming that the cron job is working again.  Closing bug for now.
 If more long delays for Extras Bugzilla component creation/modification occur,
re-open.

Note You need to log in before you can comment on or make changes to this bug.